Post Go back to editing

LTSpice crashes on startup OSX 10.13.6

Dear Sir,

I have made a fresh install on my iMAC running OSX 10.13.6

LTSpice crashes on startup. Here is the error:

Process: LTspice [571]
Path: /Applications/LTspice.app/Contents/MacOS/LTspice
Identifier: com.analog.LTspice.App
Version: 17.0.38 (17.0.38)
Code Type: X86-64 (default)
Parent Process: ??? [1]
Responsible: LTspice [571]
User ID: 501

Time Awake Since Boot: 90 seconds

System Integrity Protection: enabled

Crashed Thread: 0

Exception Type: EXC_CRASH (SIGABRT)
Exception Codes: 0x0000000000000000, 0x0000000000000000
Exception Note: EXC_CORPSE_NOTIFY

Termination Reason: DYLD, [0x1] Library missing

Application Specific Information:
dyld: launch, loading dependent libraries

Dyld Error Message:
Library not loaded: @rpath/libswiftCore.dylib
Referenced from: /Applications/LTspice.app/Contents/Frameworks/IPWorks.framework/Versions/A/IPWorks
Reason: image not found

Binary Images:
0x1065b9000 - 0x106b04fff +com.analog.LTspice.App (17.0.38 - 17.0.38) <67815984-B078-3CBB-87A5-04F5F7A79C7A> /Applications/LTspice.app/Contents/MacOS/LTspice
0x106c64000 - 0x1073efff7 +com.nsoftware.IPWorks (1) <F37AA121-56FF-3DE7-AA46-BAB6F1D9BA92> /Applications/LTspice.app/Contents/Frameworks/IPWorks.framework/Versions/A/IPWorks
0x1076ce000 - 0x108f5cff7 +libsecureblackbox.20.0.dylib (0) <4AA6A964-1B6A-3CF7-AE6D-A3EE641E56EB> /Applications/LTspice.app/Contents/Frameworks/libsecureblackbox.20.0.dylib
0x109406000 - 0x10955dff7 +com.nsoftware.IPWorksZip (1) <41FEA6E7-DB80-3125-BFA3-AAD7598938B5> /Applications/LTspice.app/Contents/Frameworks/IPWorksZip.framework/Versions/A/IPWorksZip
0x10f139000 - 0x10f183adf dyld (551.5) <CB9BFB56-4511-36F1-A546-891FF770C01C> /usr/lib/dyld
0x7fff4facb000 - 0x7fff50929fff com.apple.AppKit (6.9 - 1561.61.100) <4E6EA3FA-8C2C-3B21-BFF9-6F8C458B7BE1> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x7fff51479000 - 0x7fff51816fff com.apple.CFNetwork (902.6 - 902.6) <46168F79-CCFA-349A-8508-B8CBCE27D440> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x7fff51d3d000 - 0x7fff51d3dfff com.apple.Cocoa (6.11 - 22) <3269BC26-0217-39FE-A600-D702656D838B> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x7fff524fe000 - 0x7fff5299afff com.apple.CoreFoundation (6.9 - 1455.300) <D9D5D50D-5DA3-34B6-8077-DD24315A4B1E> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x7fff5299c000 - 0x7fff52fcbff7 com.apple.CoreGraphics (2.0 - 1161.21.5) <C8BAA8C0-3DF0-37C3-8FB4-AB90BA8D4D56> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x7fff5467a000 - 0x7fff54a41ffb com.apple.Foundation (6.9 - 1455.300) <0479E072-1DD0-3881-A9A2-EDAD3EE58C23> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x7fff5e3a0000 - 0x7fff5e6cbfff com.apple.security (7.0 - 58286.70.19) <E118FC23-2E20-3999-826B-58488049A277> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x7fff77cd4000 - 0x7fff77d07ff7 libclosured.dylib (551.5) <112BC241-6626-3848-8DD8-B34B5B6F7ABC> /usr/lib/closure/libclosured.dylib
0x7fff7820e000 - 0x7fff7820fffb libSystem.B.dylib (1252.50.4) <5A02016C-8F9D-3F47-8C39-AD2CD4F9F11D> /usr/lib/libSystem.B.dylib
0x7fff784c6000 - 0x7fff7851cfff libc++.1.dylib (400.9) <142D6292-F30F-3949-9F37-3C97A579F540> /usr/lib/libc++.1.dylib
0x7fff7851d000 - 0x7fff78541ff7 libc++abi.dylib (400.8.2) <EF5E37D7-11D9-3530-BE45-B986612D13E2> /usr/lib/libc++abi.dylib
0x7fff78efe000 - 0x7fff78fefff7 libiconv.2.dylib (51.50.1) <7965B866-C75A-3450-9891-0500349F7090> /usr/lib/libiconv.2.dylib
0x7fff79949000 - 0x7fff79d3a3b7 libobjc.A.dylib (723) <616AB826-9179-3924-AA61-AF760363A3F5> /usr/lib/libobjc.A.dylib
0x7fff79e0b000 - 0x7fff79e27ffb libresolv.9.dylib (65.1) <D9BB6307-71E4-3A94-A745-1FCA114C6894> /usr/lib/libresolv.9.dylib
0x7fff79e78000 - 0x7fff7a005ff7 libsqlite3.dylib (274.8.1) <B70A2908-E0F7-364E-952A-1D2D19787B89> /usr/lib/libsqlite3.dylib
0x7fff7a360000 - 0x7fff7a372ffb libz.1.dylib (70) <47278BDC-596E-3037-B8DA-05FE9D5DBEF6> /usr/lib/libz.1.dylib
0x7fff7a40e000 - 0x7fff7a412ff7 libcache.dylib (80) <096D3699-58D2-3D23-9512-BC88DAE7B16C> /usr/lib/system/libcache.dylib
0x7fff7a413000 - 0x7fff7a41dff3 libcommonCrypto.dylib (60118.50.1) <B4E77BD4-A809-37E1-8A79-25955E0F5D9C> /usr/lib/system/libcommonCrypto.dylib
0x7fff7a41e000 - 0x7fff7a425fff libcompiler_rt.dylib (62) <4CEED002-D00B-35F8-B563-0546A5F71A43> /usr/lib/system/libcompiler_rt.dylib
0x7fff7a426000 - 0x7fff7a42fffb libcopyfile.dylib (146.50.5) <F7A7999F-9509-3C67-8EE9-95BEE6772676> /usr/lib/system/libcopyfile.dylib
0x7fff7a430000 - 0x7fff7a4b5ffb libcorecrypto.dylib (562.70.3) <9C6E5CC2-272B-3740-AEDB-9EBEC98EC7F9> /usr/lib/system/libcorecrypto.dylib
0x7fff7a53d000 - 0x7fff7a576ff7 libdispatch.dylib (913.60.3) <285526B6-A2A6-316D-A1CC-37803B71E203> /usr/lib/system/libdispatch.dylib
0x7fff7a577000 - 0x7fff7a594ff7 libdyld.dylib (551.5) <49ABA86D-DD48-3133-9B14-B9A564EEBC66> /usr/lib/system/libdyld.dylib
0x7fff7a595000 - 0x7fff7a595ffb libkeymgr.dylib (28) <7CC7B5E1-AB7F-3495-A26A-396461BCB66B> /usr/lib/system/libkeymgr.dylib
0x7fff7a5a3000 - 0x7fff7a5a3ff7 liblaunch.dylib (1205.70.16) <265EE555-E988-3EE5-A39E-028FB3A5FE11> /usr/lib/system/liblaunch.dylib
0x7fff7a5a4000 - 0x7fff7a5a8ffb libmacho.dylib (906) <F5F16E2F-F961-3FF4-B02F-69BBDB57B8DC> /usr/lib/system/libmacho.dylib
0x7fff7a5a9000 - 0x7fff7a5abfff libquarantine.dylib (86.70.1) <262CECFE-A493-3EC6-8608-CEA93757265E> /usr/lib/system/libquarantine.dylib
0x7fff7a5ac000 - 0x7fff7a5adff3 libremovefile.dylib (45) <EA24BFB6-24B7-3841-8AAC-FAF400910706> /usr/lib/system/libremovefile.dylib
0x7fff7a5ae000 - 0x7fff7a5c5fff libsystem_asl.dylib (356.70.1) <9481D82D-CFB7-3032-A07F-88F7F59CAC2C> /usr/lib/system/libsystem_asl.dylib
0x7fff7a5c6000 - 0x7fff7a5c6fff libsystem_blocks.dylib (67) <FA2C3663-9DBB-3AFB-80A3-E77BE0816AD0> /usr/lib/system/libsystem_blocks.dylib
0x7fff7a5c7000 - 0x7fff7a650ff7 libsystem_c.dylib (1244.50.9) <25DD83D8-80CA-3DFF-8626-FE704911F19C> /usr/lib/system/libsystem_c.dylib
0x7fff7a651000 - 0x7fff7a654ffb libsystem_configuration.dylib (963.50.9) <61B26E1D-FEFF-38C6-AE0E-A6DD90145EB2> /usr/lib/system/libsystem_configuration.dylib
0x7fff7a655000 - 0x7fff7a658ffb libsystem_coreservices.dylib (51) <E8FA663F-1B0F-3B12-8F97-31A46E6B4D68> /usr/lib/system/libsystem_coreservices.dylib
0x7fff7a659000 - 0x7fff7a65afff libsystem_darwin.dylib (1244.50.9) <6195EEA1-83A7-35F0-8147-5AB031020CD0> /usr/lib/system/libsystem_darwin.dylib
0x7fff7a65b000 - 0x7fff7a661ffb libsystem_dnssd.dylib (878.70.4) <0D2C9583-5D28-375B-AEB4-F66F18C78322> /usr/lib/system/libsystem_dnssd.dylib
0x7fff7a662000 - 0x7fff7a6abff7 libsystem_info.dylib (517.30.1) <9C2C96F3-638B-34E7-A2BD-24C643EAF957> /usr/lib/system/libsystem_info.dylib
0x7fff7a6ac000 - 0x7fff7a6d2ff7 libsystem_kernel.dylib (4570.71.82.8) <C34BA704-FAFF-3DDB-9827-5930B5BEF134> /usr/lib/system/libsystem_kernel.dylib
0x7fff7a6d3000 - 0x7fff7a71efcb libsystem_m.dylib (3147.50.1) <B3172533-77D2-3416-8487-4A505198E9E1> /usr/lib/system/libsystem_m.dylib
0x7fff7a71f000 - 0x7fff7a73eff7 libsystem_malloc.dylib (140.50.7) <821E16C8-7A7E-3269-9167-10F4F413BF93> /usr/lib/system/libsystem_malloc.dylib
0x7fff7a73f000 - 0x7fff7a86fff7 libsystem_network.dylib (1229.70.2) <07BFD80A-E7EB-3DEB-B765-5E1659453114> /usr/lib/system/libsystem_network.dylib
0x7fff7a870000 - 0x7fff7a87affb libsystem_networkextension.dylib (767.70.2) <A90BAFFD-AC3D-3078-90B2-71463DBFD4A5> /usr/lib/system/libsystem_networkextension.dylib
0x7fff7a87b000 - 0x7fff7a884ff3 libsystem_notify.dylib (172) <738B3BB0-4F20-3446-A3B6-095D796E5903> /usr/lib/system/libsystem_notify.dylib
0x7fff7a885000 - 0x7fff7a88cff7 libsystem_platform.dylib (161.50.1) <90A2A62F-8690-3FA7-A4D0-9085BF2FA44A> /usr/lib/system/libsystem_platform.dylib
0x7fff7a88d000 - 0x7fff7a898fff libsystem_pthread.dylib (301.50.1) <283E64A7-A2B2-3212-95BA-4D21F9AE36CF> /usr/lib/system/libsystem_pthread.dylib
0x7fff7a899000 - 0x7fff7a89cfff libsystem_sandbox.dylib (765.70.2) <C29E1B7A-F39B-344E-98F7-8FB32B10AE0A> /usr/lib/system/libsystem_sandbox.dylib
0x7fff7a89d000 - 0x7fff7a89eff3 libsystem_secinit.dylib (30) <4E84DF62-57B5-36F9-819F-3C1E7FEDA856> /usr/lib/system/libsystem_secinit.dylib
0x7fff7a89f000 - 0x7fff7a8a6ff7 libsystem_symptoms.dylib (820.60.3) <A45B4D84-2C69-3F19-83C2-2F1EEA73A7B5> /usr/lib/system/libsystem_symptoms.dylib
0x7fff7a8a7000 - 0x7fff7a8bbff7 libsystem_trace.dylib (829.70.2) <4C4E5351-E370-3226-9B30-61E250DE3B2E> /usr/lib/system/libsystem_trace.dylib
0x7fff7a8bd000 - 0x7fff7a8c2ff7 libunwind.dylib (35.3) <BAE12DA3-CF33-32AD-86B0-CCD6705ADFAA> /usr/lib/system/libunwind.dylib
0x7fff7a8c3000 - 0x7fff7a8f0fff libxpc.dylib (1205.70.16) <26D99819-B813-320E-9E8F-9D57AD2DA63B> /usr/lib/system/libxpc.dylib

**** truncated by me ******

I have run LTSpice before on this computer but I do not remember if I had an older version of MacOS by then. Just made an SSD upgrade and reinstalled everything from blank.

Appreciate any support.

Thanks

/Jonas

Parents
  • Thanks for your answer:

    The above post did not help. It refers to another issue. I cannot even start LTSpice before getting this error.

    The error is probably related to the program not able to find this library:@rpath/libswiftCore.dylib

    I googled around a bit and the library seems to be part of the XCode environment. I suspect that is what is used when writing the LTSPice Mac version.

    Is there a way to download earlier versions of the LTSPice XVII code so I can see if that works?

    I am starting to suspect that the most recent build requires a higher version of OSX than what I am running.


    Thanks

    /Jonas

  • hi Jonas, 

    Unfortunately, older versions of LTspice is not available for download anymore, even I don't have access to its repository. I will transfer your concern to the LTspice developer team. Hopefully they can provide us with solution. 

    By the way, have you tried reinstalling the LTspice Application and see the same error over and over again?

    Thanks.

    Regards,

    PaulDaria

  • Yes, I have tried reinstall quite a few times including different versions.

    I can successfully run Version 17.0.31 of LTSpice XVII
    This is a quite recent version still.

    I got the feedback from another forum that the missing library may be a compile option when making the binary. The swift version 5+ library should be included during build.
    Later versions of OSX includes this library in the OS itself but earlier versions require it to be included at compile time.

    Perhaps this can be a potential option to explore.

    I apologize for pushing this point but my hardware (Mac 12.2) does not support OS versions later than HighSierra so I cannot upgrade. Still, HighSierra (10.13) is still later than what is stated at the download page (>10.10).

    Many thanks
    /Jonas

Reply
  • Yes, I have tried reinstall quite a few times including different versions.

    I can successfully run Version 17.0.31 of LTSpice XVII
    This is a quite recent version still.

    I got the feedback from another forum that the missing library may be a compile option when making the binary. The swift version 5+ library should be included during build.
    Later versions of OSX includes this library in the OS itself but earlier versions require it to be included at compile time.

    Perhaps this can be a potential option to explore.

    I apologize for pushing this point but my hardware (Mac 12.2) does not support OS versions later than HighSierra so I cannot upgrade. Still, HighSierra (10.13) is still later than what is stated at the download page (>10.10).

    Many thanks
    /Jonas

Children